Docs

List Assets

List Assets in the Project, with filtering and pagination.

GET
/assets

Authorization

Authorization
header
string
required

Enter the project access token with the Bearer prefix, e.g. "Bearer project_access_token"

Query Parameters

limit
default: 100
integer

Maximum number of Assets to return.

Required range: 1 <= x <= 100
offset
default: 0
integer

Number of Assets to skip.

Required range: x >= 0
status
string

Filter by Asset status.

Available options:
preparingreadyfailedexpired
source_id
string

Filter Assets linked to this Source. Omit to include Assets from all Sources in the Project.

storage_id
string

Filter by output Storage ID.

string

Case-insensitive search of Asset IDs and titles.

created.gte
integer

Created at or after this Unix timestamp in seconds.

Required range: x >= 0
created.lte
integer

Created at or before this Unix timestamp in seconds.

Required range: x >= 0
created.sort
default: "desc"
string

Creation-time ordering. Defaults to newest first.

Available options:
ascdesc
metadata
string[]

Repeat key:value pairs to match all supplied metadata conditions.

Responses

application/json
data
object[]
required
limit
integer
required
Required range: x >= 0
offset
integer
required
Required range: x >= 0
status
"success"
string
required
total
integer
required
Required range: x >= 0

List Assets